from textual.app import App
import screens

class AppLauncher(App):
    CSS_PATH = "styles.css"
    TITLE = "潜进 - 辅助记忆程序"
    BINDINGS = [("escape", "quit", "退出"), ("d", "toggle_dark", "改变色调")]
    SCREENS = {
        "file_selection_screen": screens.FileSelectorScreen,
    }

    def on_mount(self) -> None:
        self.push_screen("file_selection_screen")


if __name__ == "__main__":
    app = AppLauncher()
    app.run()